Post Reply

[Q] Firmware flashing 2.22.401.4 for HTC_044 CID

OP hellcommando

10th August 2014, 04:31 PM   |  #1  
OP Member
Thanks Meter: 4
 
55 posts
Join Date:Joined: Aug 2010
My M8 has the CID of HTC_044 and I would like to flash latest ROM. However it requires latest firmware, ie 2.22.401.4, I am wondering if it is safe to flash the firmware to my device being with different CID as the firmware's android-info does not contain my device CID.

I have S-OFF on my device, I am wondering if I change mt CID to supercid would allow my device to run the firmware without issue.

Thanks in advance.
10th August 2014, 05:19 PM   |  #2  
hdorius's Avatar
Senior Member
Thanks Meter: 620
 
927 posts
Join Date:Joined: Jan 2011
More
Yep,if your phone is supercid,u can flash that firmware...
The Following User Says Thank You to hdorius For This Useful Post: [ View ]
10th August 2014, 05:25 PM   |  #3  
ckpv5's Avatar
Recognized Contributor
Flag Kuala Lumpur
Thanks Meter: 8,987
 
6,958 posts
Join Date:Joined: Feb 2008
Donate to Me
More
Quote:
Originally Posted by hellcommando

My M8 has the CID of HTC_044 and I would like to flash latest ROM. However it requires latest firmware, ie 2.22.401.4, I am wondering if it is safe to flash the firmware to my device being with different CID as the firmware's android-info does not contain my device CID.

I have S-OFF on my device, I am wondering if I change mt CID to supercid would allow my device to run the firmware without issue.

Thanks in advance.

If your firmware for CID HTC__044 is 2.22.707.3, it is not necessary for you to flash another firmware to run a 2.22.401.4 ROM.

As long as the firmware is 2.22.xxx.x ... you're good to go.

Anyway it's up to you if you want to flash 2.22.401.4 firmware but your Radio will be the EU region if the firmware that you flash come with radio image. If you currently in Asia, it's best to keep 2.22.707.3 firmware
The Following User Says Thank You to ckpv5 For This Useful Post: [ View ]
11th August 2014, 02:00 PM   |  #4  
OP Member
Thanks Meter: 4
 
55 posts
Join Date:Joined: Aug 2010
Quote:
Originally Posted by hdorius

Yep,if your phone is supercid,u can flash that firmware...

Thank you!

Quote:
Originally Posted by ckpv5

If your firmware for CID HTC__044 is 2.22.707.3, it is not necessary for you to flash another firmware to run a 2.22.401.4 ROM.

As long as the firmware is 2.22.xxx.x ... you're good to go.

Anyway it's up to you if you want to flash 2.22.401.4 firmware but your Radio will be the EU region if the firmware that you flash come with radio image. If you currently in Asia, it's best to keep 2.22.707.3 firmware

Thank you! However I have heard there was one 2.22.7xx posted but was meant for M7, and at the moment I could not find 2.22.707.3 firmware from any firmware repository. I'm from Asia, could you please kindly post the link so that I wont brick my phone? Thank you!!
11th August 2014, 02:22 PM   |  #5  
ckpv5's Avatar
Recognized Contributor
Flag Kuala Lumpur
Thanks Meter: 8,987
 
6,958 posts
Join Date:Joined: Feb 2008
Donate to Me
More
Quote:
Originally Posted by hellcommando

Thank you! However I have heard there was one 2.22.7xx posted but was meant for M7, and at the moment I could not find 2.22.707.3 firmware from any firmware repository. I'm from Asia, could you please kindly post the link so that I wont brick my phone? Thank you!!

When we read firmware we look at x.xx.707.x not 2.22.7xx.x

You don't need 2.22.707.3 firmware if you already done the OTA update.
Please advise your current firmware that you have ... check what is written on the bootloader ... is it 1.54.707.7 or 2.22.707.3 ?

If it is 1.54.707.7 then you need to do OTA update.
If it is 2.22.707.3 then you're good to flash any ROM.
Last edited by ckpv5; 11th August 2014 at 02:28 PM.
11th August 2014, 02:30 PM   |  #6  
OP Member
Thanks Meter: 4
 
55 posts
Join Date:Joined: Aug 2010
Quote:
Originally Posted by ckpv5

When we read firmware we look at x.xx.707.x not 2.22.7xx.x

You don't need 2.22.707.3 firmware if you already done the OTA update.
Please advise your current firmware that you have ... check what is written on the bootloader ... is it 1.54.707.7 or 2.22.77.3 ?

If it is 1.54.707.7 then you need to do OTA update.
If it is 2.22.707.3 then you're good to flash any ROM.

Couldn't check my firmware version as the OS field is empty in the bootloader.
Hboot: 3.16.0.0000
Radio: 1.16.2133156.UA10G

But I highly doubt my firmware is 2.22.707.3, I would think it is more likely to be 1.54.707.7 as I have rooted by phone before newer firmware roll out.

So can I use your firmware in http://forum.xda-developers.com/show...01376&page=141

and flash it by using this guide? http://forum.xda-developers.com/htc-...s-off-t2800727
11th August 2014, 02:39 PM   |  #7  
ckpv5's Avatar
Recognized Contributor
Flag Kuala Lumpur
Thanks Meter: 8,987
 
6,958 posts
Join Date:Joined: Feb 2008
Donate to Me
More
Quote:
Originally Posted by hellcommando

Couldn't check my firmware version as the OS field is empty in the bootloader.
Hboot: 3.16.0.0000
Radio: 1.16.2133156.UA10G

But I highly doubt my firmware is 2.22.707.3, I would think it is more likely to be 1.54.707.7 as I have rooted by phone before newer firmware roll out.

So can I use your firmware in http://forum.xda-developers.com/show...01376&page=141

and flash it by using this guide? http://forum.xda-developers.com/htc-...s-off-t2800727

Right ... your current hboot is 3.16 so it's 1.54.707.7

I suggest that you restore 1.54.707.7 stock Backup, flash back stock recovery and do the OTA (no need to relock bootloader or S-On .. OTA update work on unlocked bootloader and S-Off)

I don't post firmware on XDA. Those that I posted are recovery and stock backup.

If you insist to update firmware without OTA update .. that's you call. Someone maybe will guide you how to do it as I don't feel comfortable telling how to update firmware.
The Following User Says Thank You to ckpv5 For This Useful Post: [ View ]
12th August 2014, 02:02 PM   |  #8  
OP Member
Thanks Meter: 4
 
55 posts
Join Date:Joined: Aug 2010
Quote:
Originally Posted by ckpv5

Right ... your current hboot is 3.16 so it's 1.54.707.7

I suggest that you restore 1.54.707.7 stock Backup, flash back stock recovery and do the OTA (no need to relock bootloader or S-On .. OTA update work on unlocked bootloader and S-Off)

I don't post firmware on XDA. Those that I posted are recovery and stock backup.

If you insist to update firmware without OTA update .. that's you call. Someone maybe will guide you how to do it as I don't feel comfortable telling how to update firmware.

Awesome! I just followed your advice by doing the safe way, flashed stock recovery and backup. I'm running on 2.22.707.x now! Thanks a lot
12th August 2014, 02:47 PM   |  #9  
ckpv5's Avatar
Recognized Contributor
Flag Kuala Lumpur
Thanks Meter: 8,987
 
6,958 posts
Join Date:Joined: Feb 2008
Donate to Me
More
Quote:
Originally Posted by hellcommando

Awesome! I just followed your advice by doing the safe way, flashed stock recovery and backup. I'm running on 2.22.707.x now! Thanks a lot

Great
Now you can flash any Sense 6 custom ROM that you like.
Only remember that you don't need to flash another firmware, your current one is good enough.. just flash ROM.
12th August 2014, 07:57 PM   |  #10  
Junior Member
California
Thanks Meter: 1
 
12 posts
Join Date:Joined: Aug 2013
More
I am having the same issue - I have the HTC__044 and need new firmware to get the newest ROM.
I am S-On and CANT get S-off (s-off needed to flash firmware)...firewater does not work with my phone after multiple tries.
I tried getting Sunshine to work for s-off, but I need to be on a stock Sense ROM (I am on Viper 1.8) and don't have a stock backup. I can't find ANY stock ROM's online! Once I have supercid i was going to flash firmware, but without S off...I'm going nowhere (it seems)

anyone have an idea where I should start?

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


Top Threads in One (M8) Q&A, Help & Troubleshooting by ThreadRank